# rubocop disable Metrics/BlockLength
# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'reivt/version'

Gem::Specification.new do |spec|
  spec.name          = 'reivt'
  spec.version       = Reivt::VERSION
  spec.authors       = ['vaemoi', 'Barry Harris, Tarik Massac']
  spec.email         = ['dev@vaemoi.co', 'brwnrclse@vaemoi.co', 'tai@vaemoi.co']
  spec.summary       = 'NOTICE!!! - we will be moving to revit in a few days ' \
                        "https://rubygems.org/gems/revit !!! \n\n" \
                        ' Creating and uploading code reviews to use with rev' \
                        ' - https://rev.vaemoi.co'
  spec.homepage      = 'https://rev.vaemoi.co'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.3.0'

  spec.add_dependency 'graphql-client', '~> 0.8.0'
  spec.add_dependency 'thor', '~> 0.19.4'
  spec.add_dependency 'tty-spinner', '~> 0.4.1'

  spec.add_runtime_dependency 'bcrypt', '~> 3.1', '>= 3.1.11'
  spec.add_runtime_dependency 'paint', '~> 2.0', '>= 2.0.0'
  spec.add_runtime_dependency 'sysrandom', '~> 1.0', '>= 1.0.5'

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'pry', '~> 0.10.4'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.5', '>= 3.5.0'
  spec.add_development_dependency 'rubocop', '~> 0.48.1'
  spec.add_development_dependency 'webmock', '~> 2.3', '>= 2.3.2'
end
